#include "hconfig.h"
#include "kapp.h"



KHostConfig::KHostConfig(KConfig *conf)
{

  QString logo_fn;
  QFont d1 = QFont("Courier", 10);
  QFont d2 = QFont("Courier", 24);
  QString tmp;

  kc = conf;

  kc->setGroup("chooser");
  tmp = kc->readEntry("HostListFont");
  if (tmp.isNull())
    hostlist = d1;
  else {
    hostlist = QFont(tmp);
    hostlist.setRawMode(TRUE);
  }

  tmp = kc->readEntry("HeaderFont");
  if (tmp.isNull())
    header = d2;
  else {
    header = QFont(tmp);
    header.setRawMode(TRUE);
  }

  tmp = kc->readEntry("ButtonFont");
  if (tmp.isNull())
    button = d2;
  else {
    button = QFont(tmp);
    button.setRawMode(TRUE);
  }

  tmp = kc->readEntry("MessageFont");
  if (tmp.isNull())
    msgfont = d1;
  else {
    msgfont = QFont(tmp);
    msgfont.setRawMode(TRUE);
  }


  headertext=  QString(kc->readEntry("HeaderText", "KDE Host Chooser"));
  messagetext= QString(kc->readEntry("MessageText"));
  logo_fn = kc->readEntry("HeaderLogo");
 
  if ( (!logo_fn.isEmpty()) && (logo_fn[0] != '/')) {
    // not a fully qualified path -> prefix KDE's datadir
    logo_fn = kapp->kde_datadir() + "/" + logo_fn;
  }
 
  logo = new QPixmap();
  logo->load(logo_fn);

  width = kc->readNumEntry("Width", 640);
  height= kc->readNumEntry("Height", 480);

  tmp = kc->readEntry("BgColor");
  if (tmp.isEmpty())
    bgcolor = 0;
  else
    bgcolor = new QColor(tmp);

  tmp = kc->readEntry("GUIStyle");
  if (!stricmp(tmp,"Motif")) 
    guistyle = MotifStyle;
  else
    guistyle = WindowsStyle;

  nwidth = kc->readNumEntry("NamePercent", 40);
  if (nwidth <= 10 || nwidth > 100)
    nwidth = 40;
}

QFont KHostConfig::getHostListFont()
{
  return hostlist;
}

QFont KHostConfig::getHeaderFont()
{
  return header;
}

QFont KHostConfig::getButtonFont()
{
  return button;
}

QFont KHostConfig::getMessageFont()
{
  return msgfont;
}



QString KHostConfig::getHeaderText()
{
  return headertext;
}



QString KHostConfig::getMessageText()
{
  return messagetext;
}



QPixmap *KHostConfig::getHeaderLogo()
{
  return logo;
}


int KHostConfig::getWidth()
{
  return width;
}


int KHostConfig::getHeight()
{
  return height;
}


QColor *KHostConfig::getBgColor()
{
  return bgcolor;
}

GUIStyle KHostConfig::getGUIStyle()
{
  return guistyle;
}


int KHostConfig::getNameWidth()
{
  return nwidth;
}
